Subject: Fwd: Re: Repost: RFC 3471: IF ID specification WRT component link.

From: Anca Zamfir <[email-masked]>
Date: Fri, 07 Mar 2003 14:36:12 -0500

Sameer,

I think you are right, currently there is no way to specify a numbered
component link in the IF-ID HOP object. Also, AFAIK the ERO is not a
mandatory object so because of this both TE Link and component link
should be specified in the IF-ID HOP.

If the following text would be added to the draft, it could IMO solve
these issues. Comments?

"Added in RFC-3471 - Section 9.1.1. or added to the bundle draft-
Proposed Changes:

Type Length Format Description

--------------------------------------------------------------------

1    8      IPv4 Addr. IPv4

2    20     IPv6 Addr. IPv6

3    12     See below IF_INDEX
(Interface Index)

4    12     See below
COMPONENT_IF_DOWNSTREAM (Component interface)

5    12     See below
COMPONENT_IF_UPSTREAM (Component interface)

6    8     IPv4 Addr. IPv4 -
DOWNSTREAM (Component interface)    ---> new

7    8     IPv4 Addr. IPv4 - UPSTREAM
(Component interface)
----> new

8   20     IPv6 Addr. IPv6 - DOWNSTREAM
(Component interface)    ----> new

9   20     IPv6 Addr. IPv6 - UPSTREAM
(Component interface)      ----> new

Types 1-3 are used to identify an unbundled TE
Link
----> new

Types 3-9 are used to identify the component interfaces in the
----> new

case of a bundled TE Link. In this case both the TE Link
and     ----> new

the component interface MUST be
specified."
----> new

This being said, maybe the authors of the bundle draft and
RFC3471 could help to answer the following:

- are these issues valid

- is the proposed change good

- how could the specification be fixed

Thanks,

Anca

At 01:28 AM 3/7/2003 -0800, Sameer K wrote:

Reposting, as I did not get any
response.  Could

someone please answer the question.

Thanks

- Sameer

--- Sameer K <[email-masked]> wrote:

> Hello All,

> From the RFC 3471 - GMPLS Signaling Functional

> Description, Section 9.1.1, it appears that there is

> no way for upstream node, to specify component links

> that are numbered, in the IF-ID HOP object.

> The TLV format for IF-ID Types 4 and 5 assumes that

> the component link is always un-numbered.

> Is this the way it was planned to be?.  If yes, then

> what should IF-ID look like for numbered component

> link (which is a valid scenario per the Link

> Bundling

> draft).

> Or did I get it all wrong?

> TIA

> - Sameer

> __________________________________________________

> Do you Yahoo!?

> Yahoo! Tax Center - forms, calculators, tips, more

http://taxes.yahoo.com/

__________________________________________________

Do you Yahoo!?

Yahoo! Tax Center - forms, calculators, tips, more

http://taxes.yahoo.com/

--------------------------------------------

Anca
Zamfir
Public Carrier IP

Cisco Systems,
Inc.
email: [email-masked]

2000 Innovation Dr.,
Kanata          tel#: (613)
254-3484

Ontario, CANADA  K2K
3E8         fax:  (613)
254-3717

---

From: Anca Zamfir <[email-masked]>
Date: Fri, 07 Mar 2003 14:56:36 -0500

Hi,

Actually, I need to make a correction. The lack of ERO does not require
the bundled TE link Id to be specified in the IF-ID HOP since the
component link id (numbered or unnumbered) is unique per node.

Thanks,

Anca

p.s. I corrected the text below

At 02:36 PM 3/7/2003 -0500, Anca Zamfir wrote:

Sameer,

1    8      IPv4 Addr. IPv4

2    20     IPv6 Addr. IPv6

3    12     See below IF_INDEX
(Interface Index)

4    12     See below

5    12     See below

6    8     IPv4 Addr. IPv4 -

case of a bundled TE Link.

- are these issues valid

Thanks,

Anca

Thanks

- Sameer

http://taxes.yahoo.com/

Do you Yahoo!?

http://taxes.yahoo.com/

Anca
Zamfir
Public Carrier IP

Cisco Systems,
Inc.
email: [email-masked]

2000 Innovation Dr.,
Kanata          tel#: (613)
254-3484

Ontario, CANADA  K2K
3E8         fax:  (613)
254-3717

Anca
Zamfir
Public Carrier IP

Cisco Systems,
Inc.
email: [email-masked]

2000 Innovation Dr.,
Kanata          tel#: (613)
254-3484

Ontario, CANADA  K2K
3E8         fax:  (613)
254-3717